let
  secrets = import ../modules/secrets.nix;
in {
  services = {
    gitea = {
      enable = true;
      settings = {
        server = {
          DOMAIN = "git.${secrets.jimDomain}";
          ROOT_URL = "https://git.${secrets.jimDomain}:443";
          HTTP_PORT = 3110;
          SSH_PORT = 2299;
          START_SSH_SERVER = true;
        };
        mailer = {
          ENABLED = true;
          SMTP_ADDR = "mx.${secrets.jimDomain}";
          FROM = "Jimbo's Git <noreply@${secrets.jimDomain}>";
          USER = "noreply@${secrets.jimDomain}";
          PASSWD = secrets.noreplyPassword;
          PROTOCOL = "smtps";
        };
        service.REGISTER_EMAIL_CONFIRM = true;
      };
    };
    nginx.virtualHosts."git.${secrets.jimDomain}" =  {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        proxyPass = "http://127.0.0.1:3110";
        proxyWebsockets = true;
      };
    };
  };
}
